Rails.application.routes.draw do
	locales = Site.find_by(site_active: true).in_use_locales rescue I18n.available_locales
	scope "(:locale)", locale: Regexp.new(locales.join("|")) do
		namespace :admin do
			get 'activity_setting' => "activities#setting"
			resources :activities do
				collection do
					get 'toggle_hide' => 'activities#toggle_hide'
					get 'analysis'
					get 'analysis_report'
					get "download_excel"
				end
			end

			resources :members do
				collection do
				  scope '(:name-:uid)' do
					resources :activities do
						collection do
							get 'frontend_setting' => 'activities#frontend_setting'
							post 'update_frontend_setting' => 'activities#update_frontend_setting'
						end
					end
				  end
				end
			end
		end
		get "/xhr/personal_activity/get_fields_for_index" => "personal_activities#get_fields_for_index"
        post "/xhr/personal_activity/save_index_fields" => "personal_activities#save_index_fields"
	end
end